package com.zjrs.appcomm.validation;

import jakarta.validation.Constraint;
import java.lang.annotation.*;

/**
 * @author Pettyfer
 */
@Constraint(validatedBy = MoneyValidator.class)
@Documented
@Target({ElementType.PARAMETER,ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
public @interface Money {

    String message() default "错误的金额";
    Class[] groups() default {};
    Class[] payload() default {};

}
